Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Interface ConversationListener

    public interface ConversationListener

Method Summary
`void` | `onMessage(Conversation object, Message message)` Called for each message in currently loaded conversations * @param message
`void` | `onParticipantListChange(Conversation object)` This callback gets fired when participants join or leave the conversation.
`void` | `onPropertyChange(Conversation object, Conversation.Property p, int value, java.lang.String svalue)` This event gets called when there are changes to Conversation properties defined in Conversation.Property
`void` | `onSpawnConference(Conversation object, Conversation spawned)` This callback gets fired when a new Conversation is created using SpawnConference.

Method Detail

### onPropertyChange

    void onPropertyChange(Conversation object,
                          Conversation.Property p,
                          int value,
                          java.lang.String svalue)

  This event gets called when there are changes to Conversation properties defined in Conversation.Property

### onParticipantListChange

    void onParticipantListChange(Conversation object)

  This callback gets fired when participants join or leave the conversation.

### onMessage

    void onMessage(Conversation object,
                   Message message)

  Called for each message in currently loaded conversations * @param message

### onSpawnConference

    void onSpawnConference(Conversation object,
                           Conversation spawned)

  This callback gets fired when a new Conversation is created using SpawnConference. * @param spawned Conversation object that got created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.